org.gjt.sp.jedit

## Class EBPlugin

- java.lang.Object
- - org.gjt.sp.jedit.EditPlugin
  - - org.gjt.sp.jedit.EBPlugin

- All Implemented Interfaces:
    EBComponent

      public abstract class EBPlugin
      extends EditPlugin
      implements EBComponent

  Plugins extending this class are automatically added to the EditBus. Otherwise, this class is identical to the `EditPlugin` class.
  See Also:
    `EditBus`, `EBComponent`, `EBMessage`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gjt.sp.jedit.EditPlugin

      `EditPlugin.Broken, EditPlugin.Deferred`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EBPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleMessage(EBMessage message)` Handles a message sent on the EditBus.

    - ### Methods inherited from class org.gjt.sp.jedit.EditPlugin

      `createBrowserMenuItems, createMenuItems, getClassName, getPluginHome, getPluginHome, getPluginHome, getPluginJAR, getResourceAsOutputStream, getResourceAsOutputStream, getResourceAsStream, getResourceAsStream, getResourcePath, getResourcePath, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EBPlugin

          protected EBPlugin()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(EBMessage message)

      Handles a message sent on the EditBus.
      Specified by:
        `handleMessage` in interface `EBComponent`
      Parameters:
        `message` - The message